On Tue, 2012-10-30 at 12:14 +0100, Dario Faggioli wrote:
> # sudo yum update
> [...]
> Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
> (@updates-testing)
>            Requires: libxenlight.so.1.0()(64bit)
>            Removing: xen-libs-4.1.3-4.fc18.x86_64 (@fedora)
>                libxenlight.so.1.0()(64bit)
>            Updated By: xen-libs-4.2.0-3.fc18.x86_64 (updates-testing)
>                Not found
> Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
> (@updates-testing)
>            Requires: libxenctrl.so.4.0()(64bit)
>            Removing: xen-libs-4.1.3-4.fc18.x86_64 (@fedora)
>                libxenctrl.so.4.0()(64bit)
>            Updated By: xen-libs-4.2.0-3.fc18.x86_64 (updates-testing)
>                Not found
> Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
> (@updates-testing)
>            Requires: libxenguest.so.4.0()(64bit)
>            Removing: xen-libs-4.1.3-4.fc18.x86_64 (@fedora)
>                libxenguest.so.4.0()(64bit)
>            Updated By: xen-libs-4.2.0-3.fc18.x86_64 (updates-testing)
>                Not found
>  You could try using --skip-broken to work around the problem
>  You could try running: rpm -Va --nofiles --nodigest
> 
Ok, that was, at least partially, my fault, as it turned out I had
libvirt-daemon-driver-libxl installed. I removed it (making sure I have
libvirt-daemon-driver-xen), and everything is fine now.

Now I'm seeing this:

# rpm -qi xen-hypervisor
Name        : xen-hypervisor
Version     : 4.2.0
...
# rpm -qi libvirt-daemon-driver-xen
Name        : libvirt-daemon-driver-xen
Version     : 0.10.2.1
...
# rpm -qi libvirt
package libvirt is not installed

And, if I try to `yum install libvirt':

# yum install libvirt
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package libvirt.x86_64 0:0.10.2.1-1.fc18 will be installed
--> Processing Dependency: libvirt-daemon-driver-uml = 0.10.2.1-1.fc18 for 
package: libvirt-0.10.2.1-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-driver-lxc = 0.10.2.1-1.fc18 for 
package: libvirt-0.10.2.1-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-driver-libxl = 0.10.2.1-1.fc18 for 
package: libvirt-0.10.2.1-1.fc18.x86_64
--> Processing Dependency: libvirt-daemon-config-nwfilter = 0.10.2.1-1.fc18 for 
package: libvirt-0.10.2.1-1.fc18.x86_64
--> Running transaction check
---> Package libvirt-daemon-config-nwfilter.x86_64 0:0.10.2.1-1.fc18 will be 
installed
---> Package libvirt-daemon-driver-libxl.x86_64 0:0.10.2.1-1.fc18 will be 
installed
--> Processing Dependency: libxenlight.so.1.0()(64bit) for package: 
libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64
--> Processing Dependency: libxenguest.so.4.0()(64bit) for package: 
libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64
--> Processing Dependency: libxenctrl.so.4.0()(64bit) for package: 
libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64
---> Package libvirt-daemon-driver-lxc.x86_64 0:0.10.2.1-1.fc18 will be 
installed
---> Package libvirt-daemon-driver-uml.x86_64 0:0.10.2.1-1.fc18 will be 
installed
--> Finished Dependency Resolution
Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
(updates-testing)
           Requires: libxenctrl.so.4.0()(64bit)
           Available: xen-libs-4.1.3-4.fc18.x86_64 (fedora)
               libxenctrl.so.4.0()(64bit)
           Installed: xen-libs-4.2.0-3.fc18.x86_64 (@updates-testing)
               Not found
Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
(updates-testing)
           Requires: libxenlight.so.1.0()(64bit)
           Available: xen-libs-4.1.3-4.fc18.x86_64 (fedora)
               libxenlight.so.1.0()(64bit)
           Installed: xen-libs-4.2.0-3.fc18.x86_64 (@updates-testing)
               Not found
Error: Package: libvirt-daemon-driver-libxl-0.10.2.1-1.fc18.x86_64 
(updates-testing)
           Requires: libxenguest.so.4.0()(64bit)
           Available: xen-libs-4.1.3-4.fc18.x86_64 (fedora)
               libxenguest.so.4.0()(64bit)
           Installed: xen-libs-4.2.0-3.fc18.x86_64 (@updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Is that expected?

Dario

-- 
<<This happens because I choose it to happen!>> (Raistlin Majere)
-----------------------------------------------------------------
Dario Faggioli, Ph.D, http://retis.sssup.it/people/faggioli
Senior Software Engineer, Citrix Systems R&D Ltd., Cambridge (UK)

Attachment: signature.asc
Description: This is a digitally signed message part

--
xen mailing list
xen@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/xen

Reply via email to